Ubuntu 24.04 LTS support (testing) in virtualmin-install.sh and virtualmin-config

Howdy all,

I’ve rolled out the latest version of virtualmin-install.sh (7.4.0) and virtualmin-config (7.0.19) and the LAMP/LEMP stack metapackages, which include support for Ubuntu 24.04 LTS.

This is new and thus somewhat lightly tested, so it is very likely to have bugs/quirks. Please test your installation fully before considering it production-ready. If you need production-ready immediately and you can’t or don’t know how to test the installation thoroughly for your use case, you probably ought to stick with an OS/version that has had more testing. In a week or two, all the bugs should be ironed out.

Cheers,
Joe

7 Likes

I’ve attempted to install Virtualmin with the LEMP bundle on a fresh Ubuntu 24 system, but encountered the following error during installation:
Systemd service nginx does not exist init/init-lib.pl (line 703)

The installation is complete, but I see the LAMP stack instead of LEMP as a result.

I’ll have to take a look at it over again – I didn’t see this issue last time I was running my tests. Can you provide a screenshot of an error?

I’m also seeing this! @Joe, I think there is a bug in stack packages build. Could you please check?

Maybe there should be a beta test phase

There is and this is it. As I said:

“This is new and thus somewhat lightly tested, so it is very likely to have bugs/quirks. Please test your installation fully before considering it production-ready. If you need production-ready immediately and you can’t or don’t know how to test the installation thoroughly for your use case, you probably ought to stick with an OS/version that has had more testing.”

1 Like

Great! I successfully installed LEMP on Ubuntu 24. Thank you!